package com.donaldson.engine.iot.Model;

public class TrackingData {

    private String Device;
    private Long Timestamp;
    private Double Lattitude;
    private Double Longitude;
    private Double Altitude;
    private Float Temperature;
    private Integer batteryLevel;

    public TrackingData() {
    }

    public TrackingData(String device, Long timestamp, double lattitude, double longitude, Double altitude, Float temperature, int batteryLevel) {
        Device = device;
        Timestamp = timestamp;
        Lattitude = lattitude;
        Longitude = longitude;
        Altitude = altitude;
        Temperature = temperature;
        this.batteryLevel = batteryLevel;
    }

    public String getDevice() {
        return Device;
    }

    public void setDevice(String device) {
        Device = device;
    }

    public Long getTimestamp() {
        return Timestamp;
    }

    public void setTimestamp(Long timestamp) {
        Timestamp = timestamp;
    }

    public double getLattitude() {
        return Lattitude;
    }

    public void setLattitude(double lattitude) {
        Lattitude = lattitude;
    }

    public double getLongitude() {
        return Longitude;
    }

    public void setLongitude(double longitude) {
        Longitude = longitude;
    }

    public Double getAltitude() {
        return Altitude;
    }

    public void setAltitude(Double altitude) {
        Altitude = altitude;
    }

    public Float getTemperature() {
        return Temperature;
    }

    public void setTemperature(Float temperature) {
        Temperature = temperature;
    }

    public int getBatteryLevel() {
        return batteryLevel;
    }

    public void setBatteryLevel(int batteryLevel) {
        this.batteryLevel = batteryLevel;
    }
}
