package com.donaldson.engine.iot.Model;

public class Vehicle {
    private String VehicleID;
    private String OwnerID;
    private String Description;
    private String FuelType;
    private String EngineType;
    private String EngineSerNumber;
    private String FuelFilterPrimary;
    private String FuelFilterMain;
    private String LubeFilterFullFlow;
    private String LubeFilterByPass;
    private String CoolantFilter;
    private String AdBlueFilter;
    private String WIFType;

    public Vehicle() {
    }

    public Vehicle(String vehicleID, String ownerID, String description, String fuelType, String engineType, String engineSerNumber, String fuelFilterPrimary, String fuelFilterMain, String lubeFilterFullFlow, String lubeFilterByPass, String coolantFilter, String adBlueFilter, String WIFType) {
        VehicleID = vehicleID;
        OwnerID = ownerID;
        Description = description;
        FuelType = fuelType;
        EngineType = engineType;
        EngineSerNumber = engineSerNumber;
        FuelFilterPrimary = fuelFilterPrimary;
        FuelFilterMain = fuelFilterMain;
        LubeFilterFullFlow = lubeFilterFullFlow;
        LubeFilterByPass = lubeFilterByPass;
        CoolantFilter = coolantFilter;
        AdBlueFilter = adBlueFilter;
        this.WIFType = WIFType;
    }

    public String getVehicleID() {
        return VehicleID;
    }

    public void setVehicleID(String vehicleID) {
        VehicleID = vehicleID;
    }

    public String getOwnerID() {
        return OwnerID;
    }

    public void setOwnerID(String ownerID) {
        OwnerID = ownerID;
    }

    public String getDescription() {
        return Description;
    }

    public void setDescription(String description) {
        Description = description;
    }

    public String getFuelType() {
        return FuelType;
    }

    public void setFuelType(String fuelType) {
        FuelType = fuelType;
    }

    public String getEngineType() {
        return EngineType;
    }

    public void setEngineType(String engineType) {
        EngineType = engineType;
    }

    public String getEngineSerNumber() {
        return EngineSerNumber;
    }

    public void setEngineSerNumber(String engineSerNumber) {
        EngineSerNumber = engineSerNumber;
    }

    public String getFuelFilterPrimary() {
        return FuelFilterPrimary;
    }

    public void setFuelFilterPrimary(String fuelFilterPrimary) {
        FuelFilterPrimary = fuelFilterPrimary;
    }

    public String getFuelFilterMain() {
        return FuelFilterMain;
    }

    public void setFuelFilterMain(String fuelFilterMain) {
        FuelFilterMain = fuelFilterMain;
    }

    public String getLubeFilterFullFlow() {
        return LubeFilterFullFlow;
    }

    public void setLubeFilterFullFlow(String lubeFilterFullFlow) {
        LubeFilterFullFlow = lubeFilterFullFlow;
    }

    public String getLubeFilterByPass() {
        return LubeFilterByPass;
    }

    public void setLubeFilterByPass(String lubeFilterByPass) {
        LubeFilterByPass = lubeFilterByPass;
    }

    public String getCoolantFilter() {
        return CoolantFilter;
    }

    public void setCoolantFilter(String coolantFilter) {
        CoolantFilter = coolantFilter;
    }

    public String getAdBlueFilter() {
        return AdBlueFilter;
    }

    public void setAdBlueFilter(String adBlueFilter) {
        AdBlueFilter = adBlueFilter;
    }

    public String getWIFType() {
        return WIFType;
    }

    public void setWIFType(String WIFType) {
        this.WIFType = WIFType;
    }
}
