package com.donaldson.engine.iot.Views;

import com.donaldson.engine.iot.Model.Experiment;
import com.donaldson.engine.iot.Model.ExperimentService;
import com.vaadin.ui.*;

public class AddExperimentView extends Template {

    @Override
    protected Component Body() {

    VerticalLayout verticalLayout = new VerticalLayout();
    Panel NewExperimentDefinition = new Panel("New experiment Definition");
    verticalLayout.addComponent(NewExperimentDefinition);

        NewExperimentDefinition.setSizeFull();
        GridLayout form = new GridLayout(4,6) ;
        form.setWidth("100%");
        NewExperimentDefinition.setContent(form);

        Label ExperimentIDLabel = new Label("Experiment ID:");
        form.addComponent(ExperimentIDLabel,1 , 0);
        form.setComponentAlignment(ExperimentIDLabel, Alignment.MIDDLE_RIGHT);

        TextField ExperimentID = new TextField();
        form.addComponent(ExperimentID,2,0);
        form.setComponentAlignment(ExperimentID, Alignment.MIDDLE_LEFT);

        Label LIMSLabel = new Label("LIMS#:");
        form.addComponent(LIMSLabel,1 , 1);
        form.setComponentAlignment(LIMSLabel, Alignment.MIDDLE_RIGHT);

        TextField LIMS = new TextField();
        form.addComponent(LIMS,2,1);
        form.setComponentAlignment(LIMS, Alignment.MIDDLE_LEFT);

        Label VehicleIDLabel = new Label("Vehicle ID:");
        form.addComponent(VehicleIDLabel,1 , 2);
        form.setComponentAlignment(VehicleIDLabel, Alignment.MIDDLE_RIGHT);

        TextField VehicleID = new TextField();
        form.addComponent(VehicleID,2,2);
        form.setComponentAlignment(VehicleID, Alignment.MIDDLE_LEFT);

        Label ExperimentTypeLabel = new Label("Experiment Type:");
        form.addComponent(ExperimentTypeLabel,1 , 3);
        form.setComponentAlignment(ExperimentTypeLabel, Alignment.MIDDLE_RIGHT);

        TextField ExperimentType = new TextField();
        form.addComponent(ExperimentType,2,3);
        form.setComponentAlignment(ExperimentType, Alignment.MIDDLE_LEFT);

        Label DescriptionLabel = new Label("Description:");
        form.addComponent(DescriptionLabel,1 , 4);
        form.setComponentAlignment(DescriptionLabel, Alignment.MIDDLE_RIGHT);

        TextField Description = new TextField();
        form.addComponent(Description,2,4);
        form.setComponentAlignment(Description, Alignment.MIDDLE_LEFT);

        Button create = new Button("Create Experiment");
        form.addComponent(create,3,5);
        form.setComponentAlignment(create,Alignment.MIDDLE_CENTER);

        create.addClickListener(new Button.ClickListener() {
            @Override
            public void buttonClick(Button.ClickEvent clickEvent) {
                Experiment experiment = new Experiment();
                experiment.setExperimentid(ExperimentID.getValue());
                experiment.setLIMS(LIMS.getValue());
                experiment.setVehicleid(VehicleID.getValue());
                experiment.setExperimentType(ExperimentType.getValue());
                experiment.setDescription(Description.getValue());

                Boolean createResult = ExperimentService.Add(experiment);
                getUI().getNavigator().navigateTo("view1");
            }
        });

        Button cancel = new Button("Cancel");
        form.addComponent(cancel,0,5);
        form.setComponentAlignment(cancel,Alignment.MIDDLE_CENTER);

        cancel.addClickListener(new Button.ClickListener() {
            @Override
            public void buttonClick(Button.ClickEvent clickEvent) {
                getUI().getNavigator().navigateTo("view1");
            }
        });
        return verticalLayout;
    }


}