package com.donaldson.engine.iot.Views;

import com.donaldson.engine.iot.Model.Experiment;
import com.donaldson.engine.iot.Model.ExperimentService;

import com.vaadin.navigator.Navigator;
import com.vaadin.ui.*;

import java.util.List;

public class ListExperimentsView extends Template {


    @Override
    protected Component Body() {



        Grid<Experiment> experimentGrid = new Grid<>(Experiment.class);
        VerticalLayout verticalLayout = new VerticalLayout();

        List<Experiment> experiments = ExperimentService.getAll();

        verticalLayout.addComponent(experimentGrid);
        experimentGrid.setItems(experiments);
        experimentGrid.setWidth("100%");

        experimentGrid.addItemClickListener(event ->
                getUI().getNavigator().navigateTo("EditExperimentView/" + ((Experiment)event.getItem()).getExperimentid()));

        //experimentGrid.setColumnOrder("experimentid","LIMS","Vehicleid","description","experimentType");


        return verticalLayout;
    }


}