package com.donaldson.engine.iot.Views;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.ui.*;
import com.vaadin.ui.Component;
import com.vaadin.ui.GridLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.MenuBar;



public abstract class Template extends GridLayout implements View {

    public Template() {


        setRows(3);
        setColumns(1);
        setSizeFull();
        VerticalLayout header = new VerticalLayout();
        HorizontalLayout top = new HorizontalLayout();
        header.setSizeFull();
        header.addComponent(top);
        top.setSizeFull();

        Label title = new Label("Engine Liquid IoT Portal");
        title.setHeight("20px");
        title.setSizeUndefined();
        top.addComponent(title);

        top.setComponentAlignment(title,Alignment.TOP_CENTER );

        addComponent(header,0 ,0 );

        MenuBar menuBar = new MenuBar();
        header.addComponent(menuBar);

        MenuBar.MenuItem experiments = menuBar.addItem("Experiments", null, null);

        MenuBar.Command goListExperiments = new MenuBar.Command(){
            public void menuSelected(MenuBar.MenuItem menuItem) {
                getUI().getNavigator().navigateTo("view1");
            }
        };
        MenuBar.MenuItem list = experiments.addItem("List", null, goListExperiments);

        MenuBar.Command AddExperiments = new MenuBar.Command(){
            public void menuSelected(MenuBar.MenuItem menuItem) {
                getUI().getNavigator().navigateTo("view2");
            }
        };
        MenuBar.MenuItem add = experiments.addItem("Add", null, AddExperiments);



        MenuBar.Command AddDataSet = new MenuBar.Command() {
            @Override
            public void menuSelected(MenuBar.MenuItem menuItem) {

                    getUI().getNavigator().navigateTo("addDataSet");
            }
        };
        MenuBar.MenuItem addDataSet = experiments.addItem("Add DataSet",null,AddDataSet);




        addComponent(Body(),0 , 1);



    }

    @Override
    public void enter(ViewChangeListener.ViewChangeEvent event) {

    }

    protected abstract Component Body();
}
